## org.eclipse.datatools.modelbase.sql.expressions.util
Class SQLExpressionsSwitch

    java.lang.Object
      org.eclipse.datatools.modelbase.sql.expressions.util.SQLExpressionsSwitch

    public class SQLExpressionsSwitch

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `SQLExpressionsPackage`

Constructor Summary
`SQLExpressionsSwitch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` `caseEModelElement(EModelElement object)` Returns the result of interpretting the object as an instance of 'EModel Element'.
`java.lang.Object` `caseENamedElement(ENamedElement object)` Returns the result of interpretting the object as an instance of 'ENamed Element'.
`java.lang.Object` `caseQueryExpression(QueryExpression object)` Returns the result of interpretting the object as an instance of 'Query Expression'.
`java.lang.Object` `caseQueryExpressionDefault(QueryExpressionDefault object)` Returns the result of interpretting the object as an instance of 'Query Expression Default'.
`java.lang.Object` `caseSearchCondition(SearchCondition object)` Returns the result of interpretting the object as an instance of 'Search Condition'.
`java.lang.Object` `caseSearchConditionDefault(SearchConditionDefault object)` Returns the result of interpretting the object as an instance of 'Search Condition Default'.
`java.lang.Object` `caseSQLObject(SQLObject object)` Returns the result of interpretting the object as an instance of 'SQL Object'.
`java.lang.Object` `caseValueExpression(ValueExpression object)` Returns the result of interpretting the object as an instance of 'Value Expression'.
`java.lang.Object` `caseValueExpressionDefault(ValueExpressionDefault object)` Returns the result of interpretting the object as an instance of 'Value Expression Default'.
`java.lang.Object` `defaultCase(EObject object)` Returns the result of interpretting the object as an instance of 'EObject'.
`java.lang.Object` `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLExpressionsSwitch

    public SQLExpressionsSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseQueryExpression

    public java.lang.Object caseQueryExpression(QueryExpression object)

  Returns the result of interpretting the object as an instance of 'Query Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Query Expression'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpression

    public java.lang.Object caseValueExpression(ValueExpression object)

  Returns the result of interpretting the object as an instance of 'Value Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression'.
  See Also:
    `doSwitch(EObject)`

### caseSearchCondition

    public java.lang.Object caseSearchCondition(SearchCondition object)

  Returns the result of interpretting the object as an instance of 'Search Condition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Search Condition'.
  See Also:
    `doSwitch(EObject)`

### caseQueryExpressionDefault

    public java.lang.Object caseQueryExpressionDefault(QueryExpressionDefault object)

  Returns the result of interpretting the object as an instance of 'Query Expression Default'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Query Expression Default'.
  See Also:
    `doSwitch(EObject)`

### caseSearchConditionDefault

    public java.lang.Object caseSearchConditionDefault(SearchConditionDefault object)

  Returns the result of interpretting the object as an instance of 'Search Condition Default'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Search Condition Default'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpressionDefault

    public java.lang.Object caseValueExpressionDefault(ValueExpressionDefault object)

  Returns the result of interpretting the object as an instance of 'Value Expression Default'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression Default'.
  See Also:
    `doSwitch(EObject)`

### caseEModelElement

    public java.lang.Object caseEModelElement(EModelElement object)

  Returns the result of interpretting the object as an instance of 'EModel Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EModel Element'.
  See Also:
    `doSwitch(EObject)`

### caseENamedElement

    public java.lang.Object caseENamedElement(ENamedElement object)

  Returns the result of interpretting the object as an instance of 'ENamed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'ENamed Element'.
  See Also:
    `doSwitch(EObject)`

### caseSQLObject

    public java.lang.Object caseSQLObject(SQLObject object)

  Returns the result of interpretting the object as an instance of 'SQL Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Object'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(EObject object)

  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `#doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.